#include <stdio.h>

class record {
public: 
  int hw1;
  int hw2;

  void initialize(int _hw1, int _hw2){
  }

  record(int _hw1, int _hw2){
    hw1 = _hw1; hw2 = _hw2;
  }

  void initialize(){
    initialize(60, 60);
  }

  record() : record(60, 60){
  }

  bool operator<(const record& second){
    return (hw1 < second.hw1);
    // same as (*this).hw1 < second.hw1
  }
};

int getMinPos1(record arr[], int len){
  int minpos = 0;
  for(int i=1;i<len;i++){
    if (arr[i] < arr[minpos])
      minpos = i;
  }
  return minpos;
}

void swap(record& a, record& b){
  record tmp = a;
  a = b;
  b = tmp;
}

void selsort1(record arr[], int len){
  for(int i=0;i<len;i++){
    int min = i + getMinPos1(&arr[i], len-i);
    swap(arr[i], arr[min]);
  }    
}

int main(){
  record arr[5];
  arr[0].initialize(3, 6);
  arr[1].initialize(2, 7);
  arr[2].initialize(5, 8);
  arr[3].initialize(9, 4);
  arr[4].initialize();

  selsort1(arr, 5);

  for(int i=0;i<5;i++)
    printf("%d ", arr[i].hw1);
  printf("\n");

  record *p;
  p = (record*)malloc(sizeof(record));
  p.initialize(3, 6);

  record *q;
  q = new record(3, 6); //roughly, malloc + initialize (constructor)

}
